package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 试卷批量下载导出excelDto
 * @Author: CaoZixuan
 * @Date: 2022-04-11
 */
public class ExamTaskPaperExportDto implements Serializable {
    @ApiModelProperty(value = "课程名称")
    @ExcelProperty(name = "课程名称", width = 30, index = 1)
    private String courseName;

    @ApiModelProperty(value = "课程代码")
    @ExcelProperty(name = "课程代码", width = 30, index = 2)
    private String courseCode;

    @ApiModelProperty(value = "试卷编号")
    @ExcelProperty(name = "试卷编号", width = 30, index = 3)
    private String paperNumber;

    @ApiModelProperty(value = "全部卷型")
    @ExcelProperty(name = "全部卷型", width = 30, index = 4)
    private String paperType;

    @ApiModelProperty(value = "未曝光卷型")
    @ExcelProperty(name = "未曝光卷型", width = 30, index = 5)
    private String unexposedPaperType;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getUnexposedPaperType() {
        return unexposedPaperType;
    }

    public void setUnexposedPaperType(String unexposedPaperType) {
        this.unexposedPaperType = unexposedPaperType;
    }
}
